Package org.silverpeas.mobile.client.common.file

## Enum FileMgr.FileErrorCode

- java.lang.Object
- - java.lang.Enum<FileMgr.FileErrorCode>
  - - org.silverpeas.mobile.client.common.file.FileMgr.FileErrorCode

- All Implemented Interfaces:
    `Serializable`, `Comparable<FileMgr.FileErrorCode>`
  Enclosing class:
    FileMgr

      public static enum FileMgr.FileErrorCode
      extends Enum<FileMgr.FileErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORT_ERR` |
    `ENCODING_ERR` |
    `INVALID_MODIFICATION_ERR` |
    `INVALID_STATE_ERR` |
    `NO_ERROR` |
    `NO_MODIFICATION_ALLOWED_ERR` |
    `NOT_FOUND_ERR` |
    `NOT_READABLE_ERR` |
    `PATH_EXISTS_ERR` |
    `QUOTA_EXCEEDED_ERR` |
    `SECURITY_ERR` |
    `SYNTAX_ERR` |
    `TYPE_MISMATCH_ERR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FileMgr.FileErrorCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FileMgr.FileErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final FileMgr.FileErrorCode NO_ERROR

    - #### NOT_FOUND_ERR

          public static final FileMgr.FileErrorCode NOT_FOUND_ERR

    - #### SECURITY_ERR

          public static final FileMgr.FileErrorCode SECURITY_ERR

    - #### ABORT_ERR

          public static final FileMgr.FileErrorCode ABORT_ERR

    - #### NOT_READABLE_ERR

          public static final FileMgr.FileErrorCode NOT_READABLE_ERR

    - #### ENCODING_ERR

          public static final FileMgr.FileErrorCode ENCODING_ERR

    - #### NO_MODIFICATION_ALLOWED_ERR

          public static final FileMgr.FileErrorCode NO_MODIFICATION_ALLOWED_ERR

    - #### INVALID_STATE_ERR

          public static final FileMgr.FileErrorCode INVALID_STATE_ERR

    - #### SYNTAX_ERR

          public static final FileMgr.FileErrorCode SYNTAX_ERR

    - #### INVALID_MODIFICATION_ERR

          public static final FileMgr.FileErrorCode INVALID_MODIFICATION_ERR

    - #### QUOTA_EXCEEDED_ERR

          public static final FileMgr.FileErrorCode QUOTA_EXCEEDED_ERR

    - #### TYPE_MISMATCH_ERR

          public static final FileMgr.FileErrorCode TYPE_MISMATCH_ERR

    - #### PATH_EXISTS_ERR

          public static final FileMgr.FileErrorCode PATH_EXISTS_ERR

  - ### Method Detail

    - #### values

          public static FileMgr.FileErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileMgr.FileErrorCode c : FileMgr.FileErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileMgr.FileErrorCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null